@keyframes popUp {
    from{
        transform: scale(0);
    }
    to{
        transform: scale(1);
    }
}

.parentsbox {
    width: 300px;
    height: 300px;
    background: linear-gradient(-90deg, rgba(150,71,0,1) 0%, rgba(252,141,31,1) 60%, rgba(255,157,76,1) 100%);     margin-left: 40%;
    border-radius: 30px;
    margin-top: 10%;
    position: relative;
    box-shadow: 4px 4px 10px 1px #5a5a5a;

    animation: popUp 1.4s;
    transition: all 1s;
}

.parentsbox:hover{
    transform: rotate(360deg);
    background: linear-gradient(-90deg, rgba(120,0,0,1) 0%, rgba(218,0,0,1) 60%, rgba(255,60,60,1) 100%);    
}

.pighead{
    width: 180px;
    height: 200px;
    background: #252525; 
    position: relative;
    left: 60px;
    top: 50px;
    border-radius: 45% 45% 10% 10%;
    box-shadow: inset 10px 10px 7px 7px #424242;
    z-index: 5;
}

.pigear{
    position: absolute;
    height: 0; 
    width: 0;    
    border-left: 25px solid transparent;
    border-right: 25px solid transparent;
    border-bottom: 80px solid #424242;
    top: 30px;
    z-index: 4;
}

.ear1{
    left: 80px;
}
.ear2{
    right: 80px;
}

.pigeye{
    width: 40px;
    height: 10px;
    background: aqua;
    box-shadow: 0px 0px 10px 5px aqua;
    border-radius: 10%;

    position: absolute;
    top: 160px;
    z-index: 13;
}

.eye1{
    left: 95px;
    transform: skew(20deg) rotate(10deg);
}

.eye2{
    right: 95px;
    transform: skew(-20deg) rotate(-10deg);
}

.pignose{
    position: absolute;
    z-index: 11;
    left: 85px;
    top: 175px;

    width: 0;
    height: 0;
    border-left: 65px solid transparent;
    border-right: 65px solid transparent;
    border-top: 30px solid #252525; 
}

.pigsmile{
    width: 110px;
    height: 60px;
    border-radius: 25px;
    background:bisque;

    position: absolute;
    z-index: 10;
    left: 95px;
    top: 180px;
    box-shadow: inset 10px 0px 5px 5px rgb(213, 191, 164);
}

p{
    position: absolute;
    color: #252525;
    font-size: 270px;
}

.pignose p{
    top: -440px;
    left: -150px;
    letter-spacing: 170px;
}

.eye1 p{
    transform: skew(-20deg) rotate(-10deg) scale(0.9, 1);
    top: -627px;
    left: -55px;
}

.eye2 p{
    transform: skew(20deg) rotate(10deg) scale(0.9, 1);
    top: -625px;
    left: 32px;
}